com.holonplatform.vaadin.components.builders

## Interface MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>

- All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, ComponentConfigurator<MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, MultiSelectInputBuilder<T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>
  Enclosing interface:
    MultiSelectInputBuilder<T,B extends MultiSelectInputBuilder<T,B>>

      public static interface MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>
      extends MultiSelectInputBuilder<T,MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.MultiSelectInputBuilder

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.